### Method

# Ide EditorSidebar add_section

#### Declaration

    void
    ide_editor_sidebar_add_section (
      IdeEditorSidebar* self,
      const gchar* id,
      const gchar* title,
      const gchar* icon_name,
      const gchar* menu_id,
      const gchar* menu_icon_name,
      GtkWidget* section,
      gint priority
    )

#### Description

Adds a new section to the `IdeEditorSidebar`. `icon_name` will be used to display an icon for the section. `title` should contain the title to display above the section.

If you want to be able to switch to the section manually, you should set `id` so that `ide_editor_sidebar_set_section_id()` will allow you to use id.

To remove your section, call `gtk_widget_destroy()` on `section`.

Available since: | 3.32

#### Parameters

`id` | `const gchar*`
| An optional id for the section.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`title` | `const gchar*`
| The title of the section.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`icon_name` | `const gchar*`
| The icon name for the section’s icon.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`menu_id` | `const gchar*`
| An optional menu-id to display.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`menu_icon_name` | `const gchar*`
| An optional icon-name for displaying the menu.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`section` | `GtkWidget`
| The widget to display in the sidebar.
| The data is owned by the caller of the function.
`priority` | `gint`
| No description available.